# Google Translate

## POST /google-translate/v1/detect

> Use the Google Translate API to detect the language for a given input text

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-translate/v1/detect":{"post":{"operationId":"languageDetectV1","summary":"Use the Google Translate API to detect the language for a given input text","tags":["Google Translate"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"text":{"description":"The text to translate.","type":"string"}},"required":["text"]}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-translate/v1/detect/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /google-translate/v1/languages

> Use the Google Translate API to list the available languages for translation and language detection

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-translate/v1/languages":{"get":{"operationId":"translateLanguagesV1","summary":"Use the Google Translate API to list the available languages for translation and language detection","tags":["Google Translate"],"parameters":[{"name":"Accept-Language","in":"header","description":"The language to return the results in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-translate/v1/languages/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## POST /google-translate/v1/translate

> Use the Google Translate API to translate text from one language to another

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-translate/v1/translate":{"post":{"operationId":"translateV1","summary":"Use the Google Translate API to translate text from one language to another","tags":["Google Translate"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"sourceLanguage":{"description":"The language to translate from. Will be automatically detected if not supplied","type":"string"},"targetLanguage":{"description":"The language to translate to.","type":"string"},"text":{"description":"The text to translate.","type":"string"}},"required":["targetLanguage","text"]}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-translate/v1/translate/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://auorio.gitbook.io/docs/api/google-translate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
